/*
 * Created on October 21, 2005
 *
 */
package com.sunlabs.archsim.fleet.ships.accumulator;

import com.sunlabs.archsim.base.simulation.Delay;

/**
 *
 * Copyright � 2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 * 
 * @author mh193489
 *
 * Accumulator ship defaults.
 */
public class AccumulatorDefaults {

	private AccumulatorDefaults() {}
	
	public static final String ACCUMULATOR= "accumulator";
	public static final String ACCUMULATING_ACTION= "accumulatingAction";
	public static final String OUTPUT_ACTION= "outputAction";
        
	public static final String IN= "In";
	public static final String ACK_IN= "ackIn";

	public static final String OUT= "Out";
	public static final String ACK_OUT= "ackOut";	

        public static final String INTERNAL_IN= "InternalIn";
        public static final String ACK_INTERNAL_IN= "ackInternalIn";
	public static final String INTERNAL_OUT= "InternalOut";
	public static final String ACK_INTERNAL_OUT= "ackInternalOut";
	public static final String INTERNAL_STATE= "InternalState";
	public static final String ACK_INTERNAL_STATE= "AckInternalState";
        
        public static final String TOKEN_IN= "TokenIn";
	public static final String ACK_TOKEN_IN= "ackTokenIn";
	
	public static final String TOKEN_OUT= "TokenOut";
	public static final String ACK_TOKEN_OUT= "ackTokenOut";	

        
        public static final Delay ACCUMULATING_DELAY= new Delay(10);
        public static final Delay OUTPUT_DELAY= new Delay(10);
	
	/** accumulator ack delay identifier */
	public static String ACCUMULATOR_ACK_DELAY= "accumulatorAckDelay";
	/** default ack delay */
	public static final Delay ACCUMULATOR_ACK_DELAY_DEF= new Delay(10);

        /** accumulator ack delay identifier */
	public static String ACCUMULATOR_OUT_DELAY= "accumulatorOutDelay";
	/** default ack delay */
	public static final Delay ACCUMULATOR_OUT_DELAY_DEF= new Delay(10);

        public static final int OVERFLOW= Integer.MAX_VALUE;
        public static final int UNDERFLOW= Integer.MIN_VALUE;
        public static final int PLUS_INFINITY= 1;
        public static final int MINUS_INFINITY= -1;

} // class AccumulatorDefaults
